Package com.pixelmed.network

# Class CStoreRequestCommandMessage

java.lang.Object
com.pixelmed.network.CStoreRequestCommandMessage

public class CStoreRequestCommandMessage extends Object

## Constructor Summary

Constructors
Constructor
Description
`CStoreRequestCommandMessage(AttributeList list)`
`CStoreRequestCommandMessage(String affectedSOPClassUID, String affectedSOPInstanceUID)`
`CStoreRequestCommandMessage(String affectedSOPClassUID, String affectedSOPInstanceUID, String moveOriginatorApplicationEntityTitle, int moveOriginatorMessageID)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAffectedSOPClassUID()`
`String`
`getAffectedSOPInstanceUID()`
`byte[]`
`getBytes()`
`int`
`getCommandField()`
`int`
`getGroupLength()`
`int`
`getMessageID()`
`String`
`getmoveOriginatorApplicationEntityTitle()`
`int`
`getMoveOriginatorMessageID()`
`final int`
`getNextAvailableMessageID()`
Get a new message ID.
`int`
`getPriority()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CStoreRequestCommandMessage

public CStoreRequestCommandMessage(AttributeList list) throws DicomException, IOException

Parameters:
  `list` -
Throws:
  `IOException`
  `DicomException`

### CStoreRequestCommandMessage

public CStoreRequestCommandMessage(String affectedSOPClassUID, String affectedSOPInstanceUID) throws DicomException, IOException

Parameters:
  `affectedSOPClassUID` -
  `affectedSOPInstanceUID` -
Throws:
  `IOException`
  `DicomException`

### CStoreRequestCommandMessage

public CStoreRequestCommandMessage(String affectedSOPClassUID, String affectedSOPInstanceUID, String moveOriginatorApplicationEntityTitle, int moveOriginatorMessageID) throws DicomException, IOException

Parameters:
  `affectedSOPClassUID` -
  `affectedSOPInstanceUID` -
  `moveOriginatorApplicationEntityTitle` - the AET of the C-MOVE that originated this C-STORE, or null if none
  `moveOriginatorMessageID` - the MessageID of the C-MOVE that originated this C-STORE, or -1 if none
Throws:
  `IOException`
  `DicomException`

## Method Details

### getGroupLength

public int getGroupLength()

### getAffectedSOPClassUID

public String getAffectedSOPClassUID()

### getCommandField

public int getCommandField()

### getMessageID

public int getMessageID()

### getPriority

public int getPriority()

### getAffectedSOPInstanceUID

public String getAffectedSOPInstanceUID()

### getmoveOriginatorApplicationEntityTitle

public String getmoveOriginatorApplicationEntityTitle()

### getMoveOriginatorMessageID

public int getMoveOriginatorMessageID()

### getBytes

public byte[] getBytes()

### getNextAvailableMessageID

public final int getNextAvailableMessageID()

Get a new message ID.

Implemented as a simple counter on scope of JVM invocation, and will eventually wrapp around.

Returns:
  a new unused integer message ID